package com.ssj.service.conch.conch.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yangcan
 * 类描述:小塾OTA系统升级
 * 创建时间:2019/6/28 10:45
 */
public class OtaVersionReq extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "imei", value = "imei号")
    private String imei;

    @ApiModelProperty(name = "currentVersion", value = "当前ota系统版本号")
    @NotBlank
    private String currentVersion;

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getCurrentVersion() {
        return currentVersion;
    }

    public void setCurrentVersion(String currentVersion) {
        this.currentVersion = currentVersion;
    }
}
